neutron (2:28.0.0-0ubuntu2) stonking; urgency=medium

  * d/p/lp2150285-keep-mod-wsgi-operational.patch: Keep Apache mod_wsgi
    operational for one more cycle (LP: #2150285). Upstream Neutron supports
    only uWSGI for the API; under mod_wsgi the worker ID and shared start
    time exposed by the uwsgi module are unavailable, so default network
    segment ranges were never seeded and the OVN hash-ring workers raced
    into deleting each other's freshly registered rows. When the uwsgi
    module is unavailable but mod_wsgi is importable, the shim now:
    - elects a stable 1-indexed worker ID per daemon-mode process via flock
      files under /var/lib/neutron/lock;
    - derives a host-wide start time keyed on the parent (daemon manager)
      PID, recorded in a sentinel file under the same directory, so every
      worker of one generation agrees on it and it advances on each restart
      (it does not read the parent's /proc entry, which a non-root worker
      cannot do under a confined Apache).
    Adds unit tests for the shim.
  * d/tests/neutron-api: Extend the autopkgtest to verify, under mod_wsgi,
    that a default network segment range is seeded and that the OVN
    hash-ring workers share a single start time which advances across an
    apache2 restart; capture the unit journal and neutron logs if a daemon
    fails to start.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 10 Jun 2026 09:00:00 -0700

neutron (2:28.0.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 28.0.0
  * New upstream release for OpenStack Gazpacho. (LP: #2137593)
  * d/p/fix-metadata-gzip-double-decode.patch: Avoid double-decoding
    already-decoded metadata responses in the OVN metadata proxy.
  * d/tests/control, d/tests/neutron-ovn-metadata: Add an autopkgtest
    covering metadata proxy response handling.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Apr 2026 14:04:06 -0700

neutron (2:28.0.0~rc2-0ubuntu1) resolute; urgency=medium

  * d/neutron_sudoers: Drop wildcard for sudo-rs
  * New upstream version 28.0.0~rc2
  * New upstream release for OpenStack Gazpacho. (LP: #2137592)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 25 Mar 2026 10:01:30 -0700

neutron (2:28.0.0~rc1-0ubuntu1) resolute; urgency=medium

  * d/watch: restore pgpsigurlmangle for signed tarball
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 28.0.0~rc1
  * d/patches/*: refresh patches
  * d/neutron_sudoers: Drop wildcard for sudo-rs compatibility
  * New upstream release for OpenStack Gazpacho. (LP: #2137592)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 13 Mar 2026 07:39:38 -0700

neutron (2:28.0.0~b2+git20260121.28.762694d1bd-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 28.0.0.0b2
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream snapshot from 762694d1bd6092060ce08c29d12575e303ae2973
    for OpenStack Gazpacho. (LP: #2137590)
  * d/neutron-common.install: Fix file paths.
  * d/p/install-missing-files.patch: Extend for all subdirectories.
  * d/neutron-api*: Update neutron endpoint.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 16:04:01 -0800

neutron (2:27.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:52:43 +0200

neutron (2:27.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 15:23:09 -0700

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu2) questing; urgency=medium

  * d/neutron_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)
  * d/control: Ensure ml2 plugin has openvswitch-common dependency.
  * Transition neutron-server to dummy package:
    - d/control: Replace neutron-server with neutron-rpc-server,
      neutron-api, and neutron-periodic-workers.
    - d/control: Remove conflicts between neutron-periodic-workers and
      neutron-server.
    - d/neutron-server.*: Drop service definitions.
    - d/t/neutron-server: Drop autopkgtest.
    - d/tests/control: Update test dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 15:00:19 +0200

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 
  * d/rules: Cleanup /debian/python3-neutron/usr/etc

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 09:22:27 -0700

neutron (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests: Flush tables prior to neutron-api autopkgtest

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:26:13 -0700

neutron (2:26.0.0~b2+git2025030311.1ddcb3e890-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Remove linuxbridge support, dropped upstream:
    - d/control: Drop neutron-linuxbridge-agent package.
    - d/rules: Drop misc systemd configuration handling for linuxbridge
      cleanup configuration.
    - d/mans/neutron-linuxbridge-agent.8: Drop, no longer needed.
    - d/neutron-common.install: Drop install of linuxbridge_agent.ini.
    - d/neutron-common.manpages: Drop install of neutron-linuxbridge-agent.8.
    - d/neutron-{plugin-}linuxbridge-agent.*: Drop packaging files for
      neutron-linuxbridge-agent package.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 09:49:17 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu2) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-rpc-server and neutron-api packages (LP: #2085620):
    - d/control: Add new binary packages for -rpc-server and -api
    - d/neutron-rpc-server.init.in: Add init system template for rpc-server.
    - d/neutron-api.conf: Create config file for mod_wsgi.
    - d/neutron-api.apache2: Reference d/neutron.conf for config.

  [ James Page ]
  * d/control,neutron-ovn-maintenance-worker.init.in: Add new package
    for the standalone OVN maintenance worker.
  * d/tests/control,neutron-api: Add new autopkgtest for API plus
    standalone worker daemons.
  * d/neutron-common.default: Provide ML2 plugin configuration file for
    split worker daemons from neutron-common package.
  * d/control,neutron-periodic-workers.init.in: Add binary package and
    init configuration for neutron-periodic-workers daemon.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 10 Feb 2025 16:54:38 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu1) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-ovn-agent package (LP: #2085621):
    - d/control: Add new binary package
    - d/rules: Generate configuration file for neutron-ovn-agent
    - d/neutron-ovn-agent.init.in: Add init system template for agent
  * Changes picked from Debian, thank you Thomas Goirand

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 14:16:06 +0000

neutron (2:25.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:30:59 +0100

neutron (2:25.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 14:13:06 +0100

neutron (2:25.0.0~b1+git2024080716.9cbaceff-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 13:12:21 +0100

neutron (2:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:05:30 +0100

neutron (2:24.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/control: Drop os-xenapi from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:31:57 +0000

neutron (2:24.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/rules,exclude-list.txt: Run all tests, bug fixed upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 14:19:01 +0000

neutron (2:24.0.0~b1+git2024011914.5ce17647-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,exclude-list.txt: Skip tests which are currently failing due
    to broken mocking for __json__ dunder methods.
  * d/rules,neutron-common.install: Drop merge and generation of ovn.ini
    file as dropped upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Feb 2024 11:40:26 +0000

neutron (2:23.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:12:46 -0400

neutron (2:23.0.0~b3+git2023090714.8cba9a2e-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-files.patch: Renamed and added test config files.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 14:16:48 -0400

neutron (2:23.0.0~b3+git2023090714.8cba9a2e-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    neutron/db/migration/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:38:50 -0400

neutron (2:23.0.0~b2+git2023071209.58c8493f-0ubuntu2) mantic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-linuxbridge-agent.service.in: Add network-online.target to After
    directive to ensure the network is up prior to starting (LP: #1736510).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2023 09:56:17 -0400

neutron (2:23.0.0~b2+git2023071209.58c8493f-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * .launchpad.yaml: Comment out /etc/resolv.conf IPv6 address in lpci
    container if it includes % character as it causes tests to fail with:
    "netaddr.core.AddrFormatError: failed to detect a valid IP address
    from 'fe80::216:3eff:fee2:aa75%6'".
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 09:59:48 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog neutron-common`.
